import { TEMPLATE_DESCRIPTION } from "../common/_module.mjs";
import { INTEGER, STRING } from "../common/field-types.mjs"

const fields = foundry.data.fields

export default class RdDModelTarot extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    let tarotFields = {
      concept : new fields.StringField({ label: "Concept", initial: "", ...STRING }),
      aspect : new fields.StringField({ label: "Aspect", initial: "", ...STRING }),
      frequence : new fields.NumberField({ label: "Fréquence", initial: 1, ...INTEGER })      
    }
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      tarotFields
    )
  }
}
